package com.kingdee.eas.custom.ats;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.ats.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class AtsLeaveBillDetailSame extends DataBase implements IAtsLeaveBillDetailSame
{
    public AtsLeaveBillDetailSame()
    {
        super();
        registerInterface(IAtsLeaveBillDetailSame.class, this);
    }
    public AtsLeaveBillDetailSame(Context ctx)
    {
        super(ctx);
        registerInterface(IAtsLeaveBillDetailSame.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("01B9C828");
    }
    private AtsLeaveBillDetailSameController getController() throws BOSException
    {
        return (AtsLeaveBillDetailSameController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public AtsLeaveBillDetailSameInfo getAtsLeaveBillDetailSameInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getAtsLeaveBillDetailSameInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public AtsLeaveBillDetailSameInfo getAtsLeaveBillDetailSameInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getAtsLeaveBillDetailSameInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public AtsLeaveBillDetailSameInfo getAtsLeaveBillDetailSameInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getAtsLeaveBillDetailSameInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public AtsLeaveBillDetailSameCollection getAtsLeaveBillDetailSameCollection() throws BOSException
    {
        try {
            return getController().getAtsLeaveBillDetailSameCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public AtsLeaveBillDetailSameCollection getAtsLeaveBillDetailSameCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getAtsLeaveBillDetailSameCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public AtsLeaveBillDetailSameCollection getAtsLeaveBillDetailSameCollection(String oql) throws BOSException
    {
        try {
            return getController().getAtsLeaveBillDetailSameCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}